Subject: Re: bug#22153: Make check fails

From: Dennis Mungai <[email-masked]>
Date: Thu, 17 Dec 2015 22:49:06 +0300

Hello,

And sorry for replying so late.

A few days ago, I repeated the build under /tmp and all unit tests passed.
Could've been related to the issue above.
I'd have to repeat the guix build above in the same directory once I'm
logged on to the HPC's node to get you the requested results.

Regards,

Dennis.

On 13 December 2015 at 14:09, Ludovic Courtès <[email-masked]> wrote:

> Hi,
>
> Dennis Mungai <[email-masked]> skribis:
>
> > +
> GUIX_DAEMON_SOCKET=/home/administrator/source.build/GCC.buildenv/guix-0.9.0/t-register-39139/var/guix/guix/daemon-socket/socket
> > + export NIX_IGNORE_SYMLINK_STORE NIX_STORE_DIR NIX_STATE_DIR
> NIX_LOG_DIR NIX_DB_DIR GUIX_DAEMON_SOCKET
> > ++ echo
> /home/administrator/source.build/GCC.buildenv/guix-0.9.0/t-register-39139/var/guix/guix/daemon-socket/socket
> > ++ wc -c
> > + '[' 109 -ge 108 ']'
> > + exit 77
>
> The build directory name is very long, which means that we are a likely
> to hit the kernel’s limitation on the length of socket file names, as in
> the snippet above.
>
> What does this command:
>
>   grep ac_cv_guix_test_socket_file_name_length config.log
>
> return?
>
> At configure time, one normally gets a warning:
>
>   socket file name limit may be exceeded when running tests
>
> (This is not an error because there’s no problem if you don’t run ‘make
> check’.)
>
> In your case I think you would have to build from a shorter directory.
>
> HTH,
> Ludo’.
>